ucf (3.0039) unstable; urgency=medium

  * NMU ack. Thanks to Helge Kreutzmann
  * Updated thee VCS-* links in control file to salsa
  * Updated the standards version to 4.3.0, no changes needed
  * Bug fix: "ucf shouldn't change the file permissions", thanks to
    Laurent Bigonville (Closes: #935439).
  * Updated the debhelper dependency usding the new debhelper-compat
    dependency convention.
  * Bug fix: "ucf with -n as first argument results in error", thanks to
    Ian Kelling (Closes: #892301).
  * Bug fix: "Please load file names into environment when starting
    &quot;a new shell to examine the situation&quot; (DPKG_CONFFILE_OLD,
    DPKG_CONFFILE_NEW)", thanks to Christoph Biedl (Closes: #951006). mI
    changed the variable names to not stomp over tyhe dpkg namespace; the
    variables are actuall UCF_*
  * Bug fix: "[INTL:nl] Dutch translation of debconf messages", thanks to
    Frans Spiesschaert (Closes: #918255).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 May 2020 20:53:59 -0700

ucf (3.0038+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Obvious lintian fixes:
    -vcs-obsolete-in-debian-infrastructure
  * Update Debconf translations:
    -es from Matias Bellone (Closes: #891524)
    -fr from jean-pierre giraud (Closes: #891545)
    -de from Holger Wansing (Closes: #898079)

 -- Helge Kreutzmann <debian@helgefjell.de>  Fri, 14 Dec 2018 09:51:14 +0100

ucf (3.0038) unstable; urgency=medium

  * A bug fixing and translation adding release.
  * Bug fix: "Vcs-Git URL is 404-compliant", thanks to Sven Joachim
    (Closes: #890647).
  * Bug fix: "there should be a --purge-all option", thanks to Marc Haber
    (Closes: #878893). Documented how to loop over ucfq to remove/purge
    all the conffiles.
  * Bug fix: "[INTL:ru] Russian debconf templates translation update",
    thanks to Yuri Kozlov (Closes: #890643).
  * Bug fix: "[INTL:pt] Updated Portuguese translation - debconf
    messages", thanks to Américo Monteiro (Closes: #890708).
  * Bug fix: "[INTL:da] Danish translation of the debconf templates ucf",
    thanks to Joe Dalton (Closes: #890739).
  * Bug fix: "[l10n] update Japanese debconf translation", thanks to
    Kenshi Muto (Closes: #890802).
  * Bug fix: "[INTL:pt_BR] Brazilian Portuguese debconf templates
    translation", thanks to Adriano Rafael Gomes (Closes: #891165).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 25 Feb 2018 16:58:23 -0800

ucf (3.0037) unstable; urgency=medium

  * A new bugfixing release.
  * Bug fix: "Typo in ucfr(1)", thanks to Carsten Leonhardt (Closes:
    #835171).
  * Bug fix: "[PATCH] diffs are rendered with broken spacing", thanks to
    Dima Kogan (Closes: #862607).
  * Bug fix: "offers 3-way merge even without --three-way option", thanks
    to Marc Haber (Closes: #879558).
  * Bug fix: "Corrupt its database if root&#39;s bashrc has GREP_OPTIONS
    env", thanks to Adam Cecile &lt;adam.cecile@hitec.lu&gt; (Closes:
    #845625).
  * Bug fix: "please consider removing the experimental tag from
    --three-way", thanks to Marc Haber (Closes: #879641).
  * Bug fix: "manpage ucf(1) refers ancient releases", thanks to Marc
    Haber (Closes: #878891).
  * Bug fix: "Bad UI on prompts", thanks to Peter Palfrader (Closes:
    #870474). We already had a title that mentioned the conffile
    name. Added it to the beginning of the running text as well. If the
    title is not displayed, then the denconf frontend should be improved.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 16 Feb 2018 16:07:03 -0800

ucf (3.0036) unstable; urgency=low

  * Incorporate enhancement from Robert Luberda <robert@debian.org>
  * Bug fix: "diff screen is ugly, unreadable and counterintuitive",
    thanks to Robert Luberda                      (Closes: #817982).
  * Updated the Standards version to 3.9.7. No changes needed.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 16 Mar 2016 13:57:43 -0700

ucf (3.0035+local1) UNRELEASED; urgency=medium

  * Display the file permissions and ownerships information either in diff
    label lines or in additional lines prepended to sdiff output not to
    hide the actuall file differences by the whole output of /usr/bin/stat
    command (Closes: #817982). As a side effect, fix a bug introduced in
    3.0034 that caused ucf to fail on not yet existing destination files.

 -- Robert Luberda <robert@debian.org>  Sun, 13 Mar 2016 14:38:46 +0100

ucf (3.0035) unstable; urgency=low

  * Minor typo fixing release.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 14 Feb 2016 22:18:52 -0800

ucf (3.0034) unstable; urgency=low

  * Bug fix: "show differences with respect to permissions and ownership
    of old/new file", thanks to Paul Gevers. Now uses /usr/bin/stat from
    coreutils to show the metadata about the old and the new files before
    the actual diffs. (Closes: #812321).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 13 Feb 2016 20:54:23 -0800

ucf (3.0033) unstable; urgency=low

  * Bug fix: "ucf breaks installation of texlive-base (basename: missing
    operand)", thanks to Andreas Metzler. This has been a long standing
    bug, unmasked by the cleanup done last upload. When purging, there is
    no new file, just a destination file that needs to be removed. So,
    this commit makes no action on new-file when purging.  (Closes: #812402).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 23 Jan 2016 13:52:29 -0800

ucf (3.0032) unstable; urgency=low

  * Ran shellcheck on all the shell scripts, and fixed most of the issues
    found.
  * Bug fix: "[INTL:nl] Dutch translation of debconf messages", thanks to
    Frans Spiesschaert (Closes: #812354).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 22 Jan 2016 18:23:28 -0800

ucf (3.0031) unstable; urgency=low

  * New bugfixing release
  * Bug fix: "[INTL:es] Spanish translation of debconf messages", thanks
    to Matias A. Bellone                                (Closes: #752959).
  * Bug fix: "incorrectly processed VERBOSE&amp;DEBUG in config", thanks
    to YK. Correctly send the verbose output to STDERR, not STDOUt.
                                                         (Closes: #762857).
  * Bug fix: "[INTL:nl] Dutch translation of debconf messages", thanks to
    Frans Spiesschaert (Closes: #763459).
  * Update the policy version to the latest. No changes were required.
  * Update the copyright file to follow DEP-5 format.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 05 Nov 2015 12:25:03 -0800

ucf (3.0030) unstable; urgency=low

  * Updated german translations. (Closes: #748975).
  * Bug fix: #748975: "[L10N,DE] ucf: updated german debconf translation",
    thanks to Holger Wansing

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 26 May 2014 16:16:43 -0700

ucf (3.0029) unstable; urgency=medium

  * When asking how to handle an upodate to a locally modified
    configuration file, ucf does not tell the user where the new version
    of the configuration file lives. This makes it hard to take action
    when opening a new shell. This commit updates the debconf templates to
    include that information.  (Closes: #616486, #747295, #747299)
    (Closes: #747310, #747312, #747335, #747346, #747371, #747450)
    (Closes: #747533, #748148, #748178, #748371).
  * ucf uses getopt(1) to process command line arguments. The debug
    options take a an optional level. For short options, If the option has
    an optional argument, it must be written directly after the option
    character if present. For long options, the optional argument must be
    written directly after the long  option  name, separated by `=', if
    present. This is now documented in the manual page.
  * Document that ucf --purge can be used to make ucf forget about the
    state of the previous decisions for a configuration file, so that when
    the package is updated or reinstalled, ucf will ask again about
    disposition,  (Closes: #566277).
  * Bug fix #616486: "The start a shell option gives user no clue about
    the location of maintainer version of config file", thanks to Robert
    Luberda
  * Bug fix #747295: "[INTL:sv] Swedish strings for ucf debconf", thanks
    to Martin Bagge
  * Bug fix #747299: "[l10n:eu] ucf 3.0028: updated Basque translation",
    thanks to Iñaki Larrañaga Murgoitio
  * Bug fix #747310: "[INTL:fr] French debconf templates translation
    update", thanks to Christian Perrier
  * Bug fix #747312: "[INTL:pt] Portuguese translation for debconf
    messages (update)", thanks to Américo Monteiro
  * Bug fix #747335: "[INTL:ru] Russian debconf templates translation
    update", thanks to Yuri Kozlov
  * Bug fix #747346: "[INTL:fi] Updated Finnish translation of the debconf
    templates", thanks to Esko Arajärvivim Portuguese
  * Bug fix #747371: "[INTL:ja] update Japanese debconf translation",
    thanks to Kenshi Muto.
  * Bug fix #747450: "[INTL:da] Danish translation of the debconf
    templates ucf", thanks to Joe Dalton
  * Bug fix #747533: "[INTL:sk] Slovak po-debconf translation", thanks to
    Slavko
  * Bug fix #566277: "no renewed question b/c changed config files",
    thanks to arne anka
  * Bug fix #748148: "[INTL:pl] Updated Polish debconf translation",
    thanks to Michał Kułach
  * Bug fix #748178: "[INTL:pt_BR] Brazilian Portuguese debconf templates
    translation", thanks to Adriano Rafael Gomes
  * Bug fix #748371: "[l10n] Updated Czech translation of ucf debconf
    messages", thanks to Miroslav Kure

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 17 May 2014 16:00:42 -0700

ucf (3.0028) unstable; urgency=medium

  * Ack the NMU.
  * Bug fix: "Should not claim files differ if $newsum and $destsum are
    identical", thanks to Frank Küster                 (Closes: #633391).
  * Differentiate between the file being registered in the registry and
    the RE used to look it up. Account for the fact that the file being
    registered might be a s symlink, so follow links for the
    registry. Since registering symlinks is broken already, and we should
    be registering files and not symlinks anyway. ucf already did follow
    the symbolic links, it is only ucfr that needed changing.
  * Bug fix: "database corruption if ucfr is used on symlinks instead of
    files", thanks to Andreas Beckmann (Closes: #724457).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 26 Apr 2014 15:45:35 -0700

ucf (3.0027+nmu1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * Set urgency to medium for RC bugfix.
  * Fix VCS-Git URL to not point to an outdated repository.

  [ Mathieu Parent ]
  * Put the Cwd at the right place.  (Closes: #711055)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 01 Jul 2013 02:59:15 +0200

ucf (3.0027) unstable; urgency=low

  * Use dpkg-query --control-path instead of hard-coding a path to our
    debconf templates file, for compatibility with multiarch. The patch
    had apparently gotten reverted somewhere.
  * Now that wheezy has been released, moving to unstable.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 18 May 2013 16:26:58 -0700

ucf (3.0026) experimental; urgency=low

  * Acknowledge NMUs. Thanks, bubulle.
  * Bug fix: "starting a new shell fails from console", thanks to EmaRsk
    (Closes: #574266). The fix was provided by Aaron Hope <asbestos@xemed.com>
  * Bug fix: "$PAGER ignored", thanks to David Fries (Closes: #596452).
  * Bug fix: "ucf fails when VERBOSE is set to 1 in /etc/ucf.conf", thanks
    to Aljoscha Lautenbach (Closes: #577127). The same bug was also
    repprted as  "--verbose option changes return code", thanks to Frank
    Küster (Closes: #631231).
  * Bug fix: "Small typo in ucf help", thanks to Tomasz Muras
    (Closes: #577582).
  * Bug fix: "ucfr exits successfully despite syntax error", thanks to
    Sven Joachim (Closes: #573455).
  * Bug fix: "ucfr should collapse duplicate slashes in paths", thanks to
    Olivier Berger (Closes: #638187).
  * Bug fix: "should be tagged Multi-Arch: foreign", thanks to
    hriase1@post-ist-da.de (Closes: #670711).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 24 Apr 2013 03:10:05 -0700

ucf (3.0025+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * No longer hardcode debconf templates file location
    Closes: #615931
  * Fix pending l10n issues. Debconf translations:
    - Slovak (Slavko).  Closes: #639443
    - Polish (Michał Kułach).  Closes: #661480

 -- Christian Perrier <bubulle@debian.org>  Thu, 05 Apr 2012 08:25:42 +0200

ucf (3.0025+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Brazilian Portuguese (Flamarion Jorge).  Closes: #594786
    - Dutch; (Jeroen Schot).  Closes: #622789

 -- Christian Perrier <bubulle@debian.org>  Fri, 15 Apr 2011 08:27:12 +0200

ucf (3.0025+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Italian (Luca Bruno).  Closes: #559554
    - Catalan (Jordi Mallach).  Closes: #588304
    - Danish (Joe Hansen).  Closes: #588369
    - Portuguese (Américo Monteiro).  Closes: #588980
    - Spanish (Javier Fernandez-Sanguino).  Closes: #592174

 -- Christian Perrier <bubulle@debian.org>  Sat, 28 Aug 2010 08:55:44 +0200

ucf (3.0025) unstable; urgency=low

  * [ucf 39603a0] Added russian translation.
    Bug fix: "[INTL:ru] Russian debconf templates translation update",
    thanks to Yuri Kozlov                            (Closes: #551163).
  * Bug fix: "[INTL:fr] French debconf templates translation update",
    thanks to Christian Perrier                      (Closes: #551650).
  * Bug fix: "[INTL:eu] ucf Basque translation", thanks to Piarres Beobide
                                                     (Closes: #552804).
  * Bug fix: "[INTL:de] German translation for ucf (debconf)", thanks to
    Erik Schanze                                     (Closes: #553398).
  * Bug fix: "[INTL:gl] ucf debconf translation update", thanks to marce
                                                     (Closes: #554630).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 20 Nov 2009 14:48:08 -0600

ucf (3.0024) unstable; urgency=low

  * Bug fix: "[INTL:ja] updated Japanese debconf translation", thanks to
    Kenshi Muto                                       (Closes: #551080).
  * Bug fix: "[INTL:sv] Swedish strings for ucf3 debconf", thanks to
    Martin Bagge                                      (Closes: #550869).
  * Bug fix: "[l10n] Updated Czech translation of ucf debconf messages",
    thanks to Miroslav Kure                           (Closes: #550870).
  * Bug fix: "[INTL:fi] Updated Finnish translation of the debconf
    templates", thanks to Esko Arajärvi               (Closes: #550878).
  * Bug fix: "[INTL:vi] Vietnamese debconf templates translation update",
    thanks to Clytie Siddall                          (Closes: #550944).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 15 Oct 2009 13:40:46 -0500

ucf (3.0023) unstable; urgency=low

  * Bug fix: "[INTL:vi] Vietnamese debconf templates translation update",
    thanks to Clytie Siddall                           (Closes: #548014).
  * Bug fix: "Missleading dialogue text", thanks to Christian Meyer
                                                       (Closes: #546711).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 13 Oct 2009 01:42:27 -0500

ucf (3.0022) unstable; urgency=low

  * Bug fix: "[INTL:ja] updated Japanese debconf translation", thanks to
    Kenshi Muto                                        (Closes: #544048).
  * Bug fix: "[INTL:eu] ucf debconf templates Basque translation update",
    thanks to Piarres Beobide                          (Closes: #544142).
  * Bug fix: "[l10n] Updated Czech translation of ucf debconf messages",
    thanks to Miroslav Kure                            (Closes: #544326).
  * Bug fix: "[INTL:sv] Swedish strings for ucf debconf", thanks to Martin
    Bagge                                              (Closes: #544595).
  * Bug fix: "[INTL:ru] Russian debconf templates translation update",
    thanks to Yuri Kozlov                              (Closes: #544735).
  * Updated Catalan translation, thanks to Jordi Mallach Pérez
  * Bug fix: "[INTL:de] German translation for ucf (debconf)", thanks to
    Erik Schanze                                       (Closes: #546243).
  * Bug fix: "[INTL:fr] French debconf templates translation update",
    thanks to Christian Perrier                        (Closes: #546309).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 14 Sep 2009 10:35:59 -0500

ucf (3.0021) unstable; urgency=low

  * [f70b2c6]: Handle errors in three way merges This fix is one that
    was first implemented in Ubuntu, and has only been lightly modified.
    The problem was the handling of merge failures in three way merges,
    ucf used to just pass the error through to the maintainer script,
    and so a merge failure resulted in a maintainer script failure,
    which could cascade in a upgrade. However, trapping the error, and
    showing it via debconf, and then returning to the ucf debconf menu
    allows users to resolve this issue as they please. This patch
    implements that.
    Bug fix: "three-way-merge errors cause upgrade pains", thanks to Steve
    Langasek                                               (Closes: #543593).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 27 Aug 2009 00:23:16 -0500

ucf (3.0020) unstable; urgency=low

  * [cdeb86b]: Sleep for 3 seconds after emitting warning
    When there is no tty present (which means we cannot attach to the
    keyboard), and there is no DISPLAY set, which means we cannopt fire
    off another window, we cannot fork off a shell. This is not a bug,
    really, but merely a reality. This patch sleeps for a couple of
    seconds so that the error message we dump on STDERR can be read.
    Bug fix: "ucf can't start subshell", thanks to Matthew Gabeler-Lee
                                                         (Closes: #543367).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 24 Aug 2009 13:47:48 -0500

ucf (3.0019) unstable; urgency=low

  * Disable invalid Italian translation that collides with the translation
    for another string, thanks to Steve Langasek. This was pointed out by
    an Ubuntu user, and the fix comes from Ubuntu.
    Bug fix: "Italian translation fails to distinguish between two
    options", thanks to Steve Langasek                   (Closes: #543161).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 22 Aug 2009 23:08:03 -0500

ucf (3.0018) unstable; urgency=low

  * Update the package priority, it is now standard, not optional.
  * [d984e79]: Do not restore $@ until after sanity checks.
    Bug fix: "Need exactly two arguments, got 3", thanks to Kurt Roeckx
    (Closes: #520626).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 21 Mar 2009 23:39:48 -0500

ucf (3.0017) unstable; urgency=low

  * [989de4e]: No longer use a non debconf method to prompt the user
    Also, only run bash directly is the script has a terminal backend.
    Failing that, if DISPLAY is set, try to start a terminal emulator.
    If there is no tty and no DISPLAY, gibber and do nothing.
  * [6e5ba1b]: Save and restore command line arguments after parsing
    This way, when the script is called again under debconf, the command
    line arguments are still around, and have not been eliminated during
    parsing. And no, getopt was not to blame, ucf was nuking the
    commandline itself.
    Bug fix: "ucf was run from a maintainer script that uses debconf
    [...]", thanks to Michael Prokop                      (Closes: #512832).
  * [ea1c15d]: Stash any configuration file less than 25KB in size
    Also, allow the three way merge options whenever there is a stashed
    version of the file, whether or not the package maintainer has
    explicitly asked for a three way capability. This way, are closer to
    making three way capabilities the default, except for large
    configuration files, where large is defined as 25 KB.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 21 Mar 2009 00:02:03 -0500

ucf (3.0016) unstable; urgency=low

  * [bd1dfcb]: Substitute the ucf/show_diff DIFF variable contents to
    protect sensitive data. The previous fix said "reset diff question
    after use so contents are not written to disk". Unfortunately this is
    not enough (or even needed): the sensitive data is not stored in the
    value of ucf/show_diff, but in the DIFF variable associated with it.
    Bug fix: "ucf stores diff (of private files) in debconf (world readable)"
    Closes: Bug#511893 Author: Niko Tyni <ntyni@debian.org>
  * [f5cbbdf]: Show the differences on the first try
    Until 3.0012, ucf/show_diff was reset just before showing it to the
    user. This would unset the 'seen' flag properly. However, moving the
    db_reset call after db_input made the latter skip the note on the
    first time if the 'seen' flag was already set. To make things worse,
    Debconf::ConfModule::finish() sets the 'seen' flag for all the
    questions it has handled before exiting, so the flag was always true
    after debconf exited. Simply unsetting the flag before db_input fixes
    this.
    Bug fix: "skips differences on the first try", thanks to Niko Tyni
                                                          (Closes: #514071).
  * [debiandir:dce60af]: Update the location of the copyright file
    Since I have not elected to license this under later versions of the
    GPL, the license link in the copyright fle must change.
  * Updated lintian overrides to shut lintian up.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 06 Feb 2009 13:48:44 -0600

ucf (3.0015) unstable; urgency=low

  * [e63973f]: Use which, not type -a -p

    Although the 'type' command is used by /usr/bin/ucf, a 'type' built-in
    command cannot be used by posh. It is safer to use '/bin/which'
    contained in debianutils.

    Bug fix: "Shell which cannot use the type command", thanks to Jonny
    Closes: Bug#513755

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 03 Feb 2009 10:13:20 -0600

ucf (3.0014) unstable; urgency=low

  * [bd4d0af]: Short circuit if we are purging (no need to invoke debconf)
    Also, since we do not have two arguments when we are purging, move the
    new file processing to after the point where we exit in purge
    mode.
    Bug fix: "subprocess post-removal script returned error exit status
    20", thanks to Bastian Blank                         (Closes: #512903).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 25 Jan 2009 11:05:52 -0600

ucf (3.0013) unstable; urgency=low

  * [99736cc]: Move the debconf stuff _after_ command line parsing
    If it is done earlier, the DEBCONF_OK flag is not set yet. This is
    majorly bad.                             Closes: Bug#512905
    Bug fix: "ucf was run from a maintainer script that uses debconf
    [...]", thanks to Michael Prokop (Closes: #512832).
  * [67e17f1]: Load confmodule to define db_* commands even when !DEBCONF_OK
    It is OK to load confmodule, which allows db_* commands to be defined,
    since this is not what was causing the previous failure. We should
    not, however, try to load the template files, which _did_ actually
    cause the failure.
    Bug fix: "command not found", thanks to Michael Prokop (Closes: #512833).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 25 Jan 2009 01:48:09 -0600

ucf (3.0012) unstable; urgency=low

  * [29fbb69]: reset diff question after use so contents are not written to disk
    Debconf does not use world readable "temporary internal
    files" as Manoj hypothesises. Data is only written to disk if it is
    left in the debconf database when the frontend (ucf) exits.
    Tightening the permissions on the debconf database would break
    several things including use of debconf-show in reportbug.

    From 27b3c41c531016ffa506987bf4a856345992a204
    Mon Sep 17 00:00:00 2001
    From: Joey Hess <joey@gnu.kitenet.net>
    Date: Wed, 21 Jan 2009 13:03:55 -0500
    Subject: [PATCH] reset diff question after use so contents are not
      written to disk
                                                         Closes: Bug#511893
  * [9eb5118]: ucf uses debconf even if called without --debconf-ok and hangs
    ucf, even if is called without --debconf-ok, uses debconf and
    hangs if db_stop had been already called, since it tries to load
    /usr/share/debconf/confmodule and loads the ucf debconf templates.
    This is a minimal change, and just moves the test of DEBCONF_OK
    earlier.  Thanks to  Robert Luberda for the report and suggested fix.
                                                          Closes: Bug#511031
  * [26a61b8]: Start issueing a diagnostic if ucf is forced to not use debconf
    If ucf is called without the --debconf-ok switch, and
    debconf is started, issue a diagnostic, and use old style promping
    on the command line. This is a policy violation, and soon the non-
    debconf prompting shall be removed.
  * [3ce2104]: Rearrange code for readability, and add comment blocks
    Signed-off-by: Manoj Srivastava <srivasta@debian.org>

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 23 Jan 2009 11:48:09 -0600

ucf (3.0011) unstable; urgency=low

  * [debiandir:8949365] Fix VCS-Browser URL
  * [debiandir:ede9c73] Do not depend on cdebconf as an alternative
    ucf relies heavily on debconf to do its job, and thus depends on it. Way
    back when, it was told to me that we arte going to move to cdebconf,
    which at some point will be the preferred way. In the meantime, to
    facilitate the future transition, we should all depend on
       debconf | cdebconf
    to make life in the future easier.

    Now, as of version 3.005, ucf started using a feaure that has long been a
    part of cdebconf, but was only ported to debconf in version 1.5.19, so
    now ucf started depending on:
      debconf (>= 1.5.19) | cdebconf
    and this is where trouble beings.

    Suppose a machine running stable has cdebconf installed. It also has an
    old version of debconf installed, say, one that is older than
    1.5.19. Since cdebconf was installed, the dependency requirements are
    fully satisfied, so debconf was not updated.

    Now, ucf follows the instructions in debconf-devel(7) -- and that just
    uses debconf, the older version which does nothave support for the
    feature ucf needs. Boom, there goes the update.

    This is a grave bug.

    Bug fix: "ucf fails on db_x_loadtemplatefile", thanks to Wichert
    Akkerman                                                     (Closes: #507043).
  * Bug fix: "typo in changelog.gz ucf ", thanks to  Paul Menzel (Closes: #497762).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 29 Nov 2008 11:43:53 -0600

ucf (3.0010) unstable; urgency=low

  * Fix a typo in the fix for the important bug in the last release, so
    arguably this too is an important fix. This is a one character patch,
    thanks to Niko Tyni.                                   Closes: #497658

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 03 Sep 2008 09:17:58 -0500

ucf (3.009) unstable; urgency=low

  * There was an issue that using the sdiff or diff options of ucf would
    either error out, or would hang due to a communication snafu with
    debconf. This fix handles exceptional sizes of diff output, correcting
    both issues. This is an important bug fix meant for Lenny.
                                                   Closes: #486702, #490034
  * The current Catalan translation of UCF has a few usability problems,
    namely the same translation for all 3 different diff options. The
    result is that you are presented with the same option twice in many
    cases, and can't tell the difference between them. This i18n update
    fixes that issue.                                       Closes: #497391
  * Updated Standards-Version: No changes.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 02 Sep 2008 21:24:53 -0500

ucf (3.008) unstable; urgency=low

  * Updated ucf man page. Fixes: "ucf(1) incorrectly claims that ucf has
    bug". Documentation bug.                        Closes: #496489
  * ucf: [INTL:fi] Updated Finnish translation of the debconf templates
                                                    Closes: #489174

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 30 Aug 2008 03:19:44 -0500

ucf (3.007) unstable; urgency=low

  * Move to the new make -j friendly targets in debian/rules
  * Bug fix: "man ucf typo: the times interaction", thanks to A. Costa
                                                        (Closes: #480064).
  * Recorded the new VCS repository location for this package (moved to a
    public git repository)

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 30 May 2008 10:47:51 -0500

ucf (3.006) unstable; urgency=low

  * Bug fix: "ucf: fails to catch conflicts on three-way merging", thanks
    to Niko Tyni.                                       Closes: #473473

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 02 Apr 2008 22:13:21 -0500

ucf (3.005) unstable; urgency=low

  * Bug fix: "ucfq /path/to/file is broken", thanks to Niko Tyni. Applied
    the patch provided in the report.                     Closes: #460868
  * Of course, this did not mean that the modified column was actually
    filled with valid values: A number of places we were not using the
    proper accessor methods, which added to the confusion. Fixed.
                                                          Closes: #464238
  * Add a new --debconf-template option to specify an alternate
    caller-provided debconf template for the user prompt. Heavy lifting
    done by Steve Langasek. This was apparently done to allow grub in
    Ubuntu to manage partial file fragments.              Closes: #456241.
  * Use db_x_loadtemplatefile instead of debconf-loadtemplates for template
    loading, and depend on debconf (>= 1.5.19) | cdebconf for the
    implementation. Thanks to Steve Langasek.             Closes: #424926
  * Drop the Recommends: debconf-utils now that it's no longer used.
  * Instead of proceeding merrily on our way if the three way merge fails,
    we now leave the dest file unchanged, leave the mess in the new file
    (foo.ucf-new), tell the user about it, and abort the upgrade by
    exiting with exit 3. We still psit out an error about conflicts.
    Hopefully, this adequately resolves the bug.          Closes: #456245


 -- Manoj Srivastava <srivasta@debian.org>  Thu, 21 Feb 2008 01:10:57 -0600

ucf (3.004) unstable; urgency=high

  * For "keep current" and "threeway merge", ucf expects answers from
    debconf which differ from what is specified in the template
    master. Frans Pop suggested using the Choices-C feature of debconf,
    which is relatively new, but defines a fixed alias for each option
    which Debconf will then use in db_get and db_set operations -- so no
    more matching the template in the code. He also kindly provided a
    working patch. Updated versioned dependency on debconf to reflect the
    need for a new version.                Closes: #443179, #449274, #453084
  * Bug fix: "[INTL:fi] Finnish translation of the debconf templates",
    thanks to Esko Arajärvi .                            Closes: Bug#448634

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 30 Nov 2007 03:29:24 -0600

ucf (3.004~fjp) UNRELEASED; urgency=low

  * Use Choices-C in changeprompt templates to simplify interaction with
    debconf.

 -- Frans Pop <fjp@debian.org>  Mon, 01 Oct 2007 17:56:54 +0200

ucf (3.003) unstable; urgency=low

  * Bug fix: "ucf: expects the wrong answers from debconf", thanks to
    Björn Steinbrink. For "keep current" and "threeway merge", ucf expects
    answers from debconf which differ from what is specified in the
    template master, which had been changed in the review process.  This
    fixes that bug; which made ucf mostly useless.         (Closes: #443179).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 19 Sep 2007 09:58:39 -0500

ucf (3.002) unstable; urgency=low

  * Bug fix: "Polish translation for ucf", thanks to Wojciech Zareba
                                                          (Closes: #430834).
  * Bug fix: "ucf : [INTL:pt] Updated Portuguese translation for debconf
    messages", thanks to Traduz - Portuguese Translation Team
                                                          (Closes: #439691).
  * Bug fix: "ucf: [INTL:fr] French debconf templates translation update",
    thanks to Christian Perrier                           (Closes: #432286).
  * Bug fix: "Fwd: PACOTE: [INTL:pt] Updated Portuguese translation for
    debconf messages", thanks to Miguel Figueiredo        (Closes: #431621).
  * Bug fix: "[INTL:ru] Russian debconf templates translation update",
    thanks to Yuri Kozlov                                 (Closes: #431261).
  * Bug fix: "ucf: [INTL:sv] Swedish debconf templates translation
    update", thanks to Daniel Nylander                    (Closes: #430540).
  * Bug fix: "[l10n] Updated Czech translation of ucf debconf messages",
    thanks to Miroslav Kure                               (Closes: #430344).
  * Bug fix: "ucf: [INTL:es] Updated spanish translation", thanks to
    Javier Fernández-Sanguino Peña                        (Closes: #429942).
  * Bug fix: "ucf: [INTL:ja] updated Japanese debconf translation", thanks
    to Kenshi Muto                                        (Closes: #429892).
  * Bug fix: "[INTL:gl] Galician debconf template translation for ucf",
    thanks to Jacobo Tarrio                               (Closes: #429831).
  * Bug fix: "[INTL:eu] ucf debconf basque translation", thanks to Piarres
    Beobide                                               (Closes: #429816).
  * Bug fix: "ucf: [INTL:da] Updated Danish debconf translation", thanks
    to Claus Hindsgaul                                    (Closes: #426787).
  * Bug fix: "[INTL:de] German translation for ucf (debconf)", thanks to
    Erik Schanze                                          (Closes: #431342).
  * Bug fix: "[INTL:de] German translation for ucf (debconf)", thanks to
    Erik Schanze. I actually used th translations from the bug 431342
                                                          (Closes: #428717).
  * Bug fix: "ucf: [INTL:vi] Vietnamese debconf templates translation
    update", thanks to Clytie Siddall                     (Closes: #429909).
  * Bug fix: "ucf: [INTL:vi] Vietnamese debconf templates translation
    update", thanks to Clytie Siddall                     (Closes: #426998).
  * Bug fix: "ucf: [debconf_rewrite] Debconf templates review", thanks to
    Christian Perrier                                     (Closes: #426491).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 19 Sep 2007 00:26:58 -0500

ucf (3.001) unstable; urgency=low

  * Bug fix: "ucf: [INTL:ru] Russian debconf template translation", thanks
    to Yuri Kozlov                                        (Closes: #421141).
  * Bug fix: "ucf: should use debconf to display the diff results", thanks
    to Gustavo Noronha Silva. Users using a Graphical frontend are
    surprised when the display apparently just blocks when they ask to see
    a diff (or 3-way diff) of the configuration file being handled, when
    actually the diff is  displayed on the terminal window ucf was run
    on. Until the debconf-escape utility and the escape CAPB support,
    db_subst ran into newline and line length issues. Patch from Michael
    Vogt.                                                 (Closes: #325576).
  * From Michael Vogt's patch: use a debconf note for the diff. updated
    dependency of debconf to 1.4.72 (this is the version that supports the
    "escape" capability)
  * Left in the debconf-2.0 as is, since I am assuming anything that
    provides debconf-2.0 should be a drop in replacement, or that should
    be considered a bug. This is a change from Michael Vogt's patch.

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  5 May 2007 11:59:20 -0500

ucf (2.0021) unstable; urgency=low

  * Bug fix: "ucf: does not transfer mode changes to conffile", thanks to
    Marc Haber.  We now use cp -pf to preserve ownership and permissions.
                                                          (Closes: #406476).
  * Bug fix: "shouldn't .ucf-dist and .ucf-old be included in example
    code?", thanks to Marc Haber                          (Closes: #418240).
  * Bug fix: "possible typo in ucfq(1)", thanks to Marc Haber
                                                          (Closes: #418241).
  * Bug fix: "ucf : [INTL:pt] Updated Portuguese translation for debconf
    messages", thanks to Traduz - Portuguese Translation Team
                                                          (Closes: #418280).
  * Added XS-VCS-Arch and XS-VCS-Browse to debian/control

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 17 Apr 2007 18:56:32 -0500

ucf (2.0020) unstable; urgency=low

  * Bug fix: "Syntax error in /usr/bin/ucfr", thanks to Emmanuel Bouthenot
    Aaargh. Reincorporate change from the NMU. I thought I had done this,
    but I apparently did not.                            (Closes: #407963).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 25 Feb 2007 13:27:36 -0600

ucf (2.0019) unstable; urgency=medium

  * Bug fix: "&quot;ucfr: should prepend it's name to error
    messages/warnings&quot;", thanks to Vincent Lönngren. This was already
    the case, for the most part, but a few places had been missed.
                                                            (Closes: #408540).
  * Bug fix: "ucf : [INTL:pt] Portuguese translation for debconf
    messages", thanks to Traduz ML                           (Closes: #410266).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 24 Feb 2007 20:02:07 -0600

ucf (2.0018) unstable; urgency=high

  * Bug fix: "ucf: [INTL:pt_BR] Please consider updating the Brazilian
    Portuguese debconf template translation", thanks to André Luís Lopes
                                                        (Closes: #403817).
  * Bug fix: "ucf: Typo in man page: packagr should be package", thanks to
    per.bojsen@bojsen.us. Simple typo fix.              (Closes: #400839).
  * Bug fix: "ucf: Duplicated phrase in ucf message", thanks to Robert
    Luberda. Simple typo fix.                           (Closes: #406053).
  * Bug fix: "ucf: [ucfq] strange behavior when querying filenames",
    thanks to Frank Küster. Modified ucfq/ucfr man pages to emphasize that
    the scripts need a *full* path name to the file.  Added sanity checks
    such that not providing a full path would result in a diagnostic, but
    for etch just exit gracefully.  For lenny, these scripts shall die
    with an error.  Clarify all over that <path to configuration file>
    means a full path.                                   (Closes: #401899).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 18 Jan 2007 16:09:18 -0600

ucf (2.0017) unstable; urgency=low

  * Bug fix: "ucf: spelling errors", thanks to Matt Taggart (Closes: #395444).
  * Bug fix: "ucf: should be silent when it's being purged", thanks to
    Santiago Vila                                           (Closes: #397112).
  * Bug fix: "please document package registry better", thanks to Frank
    Küster. The package registry is documented in a manual page. Any
    enhancements to the manual page would be gratefully accepted. The ucf
    manual page now has a reference to ucfr and ucfq. I d not think,
    however, that this merits a NEWS file: the vast majority of users who
    install ucf do so since it is pulled in as a dependency, and they
    don't care a white about ucfr being added.  The only people who might
    care are people who use ucf to manage configuration files, and that is
    a very small number.  NEWS items should be relegated to important
    information that may affect the majority of installations; and this
    does not fit the bill.
                                                            (Closes: #395011).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 16 Nov 2006 12:00:03 -0600

ucf (2.0016) unstable; urgency=low

  * Bug fix: "ucfq --help does not work", thanks to arno. The package name
    is ucf, not Ucf, fixed.                                 (Closes: #394269).
  * Bug fix: "ucf: Does not handle pathnames with '//' properly", thanks
    to Frank Küster. We now use readlink -q -m to canonicalize the path
    names presented to ucf.                                 (Closes: #392070).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 23 Oct 2006 11:17:50 -0500

ucf (2.0015) unstable; urgency=low

  * Bug fix: "ucf: Man page path error: /usr/share/doc/examples", thanks
    to Thijs Kinkhorst                                  (Closes: #384126).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 Sep 2006 14:27:35 -0500

ucf (2.0014) unstable; urgency=low

  * Bug fix: "ucf: please document the files that should be removed",
    thanks to Torsten Werner                               (Closes: #381736).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 20 Aug 2006 13:26:29 -0500

ucf (2.0013) unstable; urgency=low

  * Bug fix: "ucf: missing versioned dependency on coreutils", thanks to
    Steinar H. Gunderson                                    (Closes: #378334).
  * Bug fix: "ucf: Broken manpage for ucfq", thanks to Benjamin A. Okopnik
                                                            (Closes: #377980).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  9 Aug 2006 02:13:38 -0500

ucf (2.0012) unstable; urgency=low

  * Bug fix: "ucf takes not enough care using readlink -f", thanks to
    Matthew Vernon. While this is not a grave bug (emitting better
    diagnostics is nice, but hardly critical), I did go through and fixed
    all readlink failing issues. I also improved the pager determination
    code, while I was at it, so ucf is more likely to find a sensible
    pager. The new code should also handle a messed up /etc/alternatives
    setup now.                                          (Closes: #372303).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 16 Jun 2006 12:53:50 -0500

ucf (2.0011) unstable; urgency=low

  * Bug fix: "ucf: [INTL:ja] Japanese debconf translation ", thanks to
    Kenshi Muto                                            (Closes: #369187).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  6 Jun 2006 09:58:22 -0500

ucf (2.0010) unstable; urgency=low

  * Bug fix: "[INTL:gl] Galician debconf templates translation", thanks to
    Jacobo Tarrio                                          (Closes: #362135).
  * Bug fix: "[INTL:nl] (new|updated) dutch po-debconf translation",
    thanks to Kurt De Bree                                 (Closes: #363037).
  * Bug fix: "ucf can not handle files with regex ex characters", thanks
    to Sean Finney. Well. We now protect against perl's regexp syntax,
    which ought to be good enough for grep.                 (Closes: #364668).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  2 May 2006 22:15:58 -0500

ucf (2.009) unstable; urgency=low

  * Added a new script to query the data kept by ucf, including the
    package registry that ucfr maintains.
  * Bug fix: "ucf: Could provide a method to query changed state", thanks
    to Frank Küster                                      (Closes: #342252).
  * Bug fix: "please add an option to list all ucf-managed files
    associated with a package", thanks to Marc Haber     (Closes: #357837).
  * Bug fix: "ucf: please provide infrastructure to remove deleted
    conffiles", thanks to Marc Haber                     (Closes: #358552).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 16 Apr 2006 16:40:13 -0500

ucf (2.008) unstable; urgency=low

  * Bug fix: "ucf: Could use ucf-{old,dist} instead of dpkg-{old,dist}",
    thanks to Frank Küster                             (Closes: #336055).
  * Bug fix: "ucf: Please register information about the package that
    installed a configuration file", thanks to Frank K (Closes: #296598).
  * Bug fix: "[l10n] Updated Czech translation of ucf debconf messages",
    thanks to Miroslav Kure                            (Closes: #356534).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 11 Apr 2006 15:03:25 -0500

ucf (2.007) unstable; urgency=low

  * Bug fix: "wrong call to find: invalid argument `-f' to `-type'",
    thanks to Martin Michlmayr                       (Closes: #356498).
  * Bug fix: "ucf: [INTL:pl] Update of the Polish debconf template
    translation", thanks to Robert Luberda            (Closes: #356119).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 12 Mar 2006 08:52:58 -0600

ucf (2.006) unstable; urgency=low

  * Make sure we get rid of all cached files also when purged.
  * Bug fix: "does not purge cached configuration files in
    /var/lib/ucf/cache", thanks to Bart Martens      (Closes: #354441).
  * Bug fix: "tetex-base: purge incomplete", thanks to Bart Martens
                                                     (Closes: #354442).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  5 Mar 2006 10:32:20 -0600

ucf (2.005) unstable; urgency=low

  * Bug fix: "[l10n:de] Updated German translation of the debconf
    templates", thanks to Erik Schanze                       (Closes: #346293).
  * Bug fix: "ucf: Leaves files behind after remove/purge", thanks to JP
    Sugarbroad                                               (Closes: #348415).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 23 Jan 2006 11:46:20 -0600

ucf (2.004) unstable; urgency=low

  * Bug fix: "ucf: [INTL:da] Danish debconf template translation", thanks
    to Claus Hindsgaul                                    (Closes: #337038).

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  3 Dec 2005 20:23:50 -0600

ucf (2.003) unstable; urgency=low

  * Bug fix: "ucf: Update of the french translation of the debconf
    templates", thanks to Eric                           (Closes: #331290).
  * Bug fix: "ucf: [INTL:sv] Swedish debconf templates translation",
    thanks to Daniel Nylander                            (Closes: #334800).
  * Bug fix: "ucf: Needs root access to display the help message", thanks
    to Frédéric Bothamy. Allow ucf to be run as non-root. This entailed
    not loading debconf related stuff, since that seems to require root
    privileges. Instead, we just emit a diagnostic and go on. Hopefully
    this is enough to let the user know when debconf does not work as
    expected. Also, if ucf is not running as root, automatically
    transition into the no-action mode, so a non-root user can still be
    able run ucf in diagnostic mode.                     (Closes: #332239).
  * Added a note to the man page that --purge does not touch the
    configuration file on disk -- cleaning that up is still the calling
    package's responsibility.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 20 Oct 2005 15:12:58 -0500

ucf (2.002) unstable; urgency=low

  * Bug fix: "INTL:vi Vietnamese translation for ucf", thanks to Clytie
    Siddall                                                (Closes: #323951).
  * Bug fix: "Please document that ucf may not exist when the postrm
    script is called"                                      (Closes: #326085).
  * Bug fix: "Please include sdiff in the menu options", thanks to  Tobias
    Toedter                                                (Closes: #323989).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Sep 2005 14:52:26 -0500

ucf (2.001) unstable; urgency=low

  * Bug fix: "ucf: missing UCF_FORCE_CONFFMISS option", thanks to Goswin
    Brederlow                                             (Closes: #321702).
  * Add a dependency on debconf.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  8 Aug 2005 15:17:13 -0500

ucf (2.000) unstable; urgency=low

  * Also remove /var/lib/ucf/cache if it is empty. The problem was that
    since the cache directory existed, ucf was   leaving /var/lib/ucf
    behind on purge, which was bad. Thanks to Lars  Wirzenius for noticing.
  * Bug fix: "ucf: [INTL:pl] Polish translation of debconf templates",
    thanks to Robert Luberda                               (Closes: #312716).
  * Bug fix: "ucf: prints verbose info even with VERBOSE=0 set in the
    config file", thanks to Robert Luberda                  (Closes: #312727).
  * Bug fix: "ucf: [INTL:it] Italian debconf translation", thanks to Luca
    Bruno                                                   (Closes: #316913).

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  7 Jul 2005 12:25:13 -0500

ucf (1.18) unstable; urgency=low

  * Bug fix: "ucf: [INTL:ja] initial debconf Japanese translation", thanks
    to Kenshi Muto                                        (Closes: #307007).
  * Bug fix: "'man ucf' typo: &quot;awlays&quot;", thanks to A Costa
                                                           (Closes: #306736).
  * Bug fix: "'man lcf' typos: &quot;algoriothm&quot; and
    &quot;directrory&quot;", thanks to A Costa             (Closes: #306735).

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  2 May 2005 01:27:15 -0500

ucf (1.17) unstable; urgency=low

  * Bug fix: "ucf: assumes that debconf-loadtemplates is always there",
    thanks to Miles Bader                                   (Closes: #300159).
  * Added a recommendation for debconf-utils for debconf-loadtemplate (not
    templates).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 18 Mar 2005 18:26:01 -0600

ucf (1.16) unstable; urgency=low

  * Bug fix: "Typo on line 55 of /usr/bin/ucf", thanks to Troy Arnold
                                                         (Closes: #300136).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Mar 2005 16:55:42 -0600

ucf (1.15) unstable; urgency=low

  * Bug fix: "ucf: spelling error in manpage", thanks to Sean Finney
                                                         (Closes: #296088).
  * Bug fix: "ucf: new configuration file appear two times", thanks to
    Martin Lohmeier. In three way merges, remove the generated .dpkg-new
    file created during the merge                        (Closes: #296186).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Mar 2005 02:46:36 -0600

ucf (1.14) unstable; urgency=low

  * Bug fix: "/usr/share/doc/ucf/examples/postinst refers /usr/man",
    thanks to Marc Haber                                 (Closes: #294558).
  * Bug fix: "[l10n] Initial Czech translation of ucf debconf messages",
    thanks to Miroslav Kure                              (Closes: #287302).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 11 Feb 2005 01:36:25 -0600

ucf (1.13) unstable; urgency=low

  * Bug fix: "&quot;The cache file is $cached_file&quot; should be printed
    only in verbose mode", thanks to Florent Rougon (Closes: #279350).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  2 Nov 2004 11:24:13 -0600

ucf (1.12) unstable; urgency=medium

  * Bug fix: "ucf creates Destination on "registration" if it
    does not exist", thanks to Florent Rougon (Closes: #279259).

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  1 Nov 2004 19:44:00 -0600

ucf (1.11) unstable; urgency=medium

  * Bug fix: "ucf creates Destination on &quot;registration&quot; if it
    does not exist", thanks to Florent Rougon. Now, even if there are no
    mentions of the file in the database, and there is no destination
    file, as long as historical md5sum dirs of files exist, the
    destination is not recreated.                       (Closes: #279259).
  * Bug fix: "ucf leaves files in the cache after --purge", thanks to
    Florent Rougon. The purge action is now moved to a point after the
    cache file name is canclulated.                     (Closes: #279262).
  * Bug fix: "Error messages when ucf-managed files are deleted", thanks
    to Florent Rougon                                   (Closes: #279261).

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  1 Nov 2004 15:22:51 -0600

ucf (1.10) unstable; urgency=high

  * Urgency high since the package was mostly useless when used with
    command line arguments and debconf.
  * Bug fix: "--three-way does not put the file into the cache", thanks to
    Florent Rougon . This is because the threeway option was lost when ucf
    was re-executed under debconf.                         (Closes: #278089).
  * Bug fix: "Typos in the manual pages and default configuration file",
    thanks to Florent Rougon. Much appreciated.            (Closes: #278091).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 28 Oct 2004 13:52:22 -0500

ucf (1.09) unstable; urgency=medium

  * Urgency medium since it does close an important bug that made
    prompting, err, bork for German users
  * Bug fix: "ucf: German translation of the debconf templates is borked",
    thanks to Michael Piefel                             (Closes: #269031).
  * Bug fix: "Please document that "--debconf-ok"; works also if
    debconf is not running", thanks to Frank Küster      (Closes:  #266807).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 22 Sep 2004 13:05:01 -0500

ucf (1.08) unstable; urgency=low

  * Bug fix: "ucf file dest is buggy if dest contains egrep metachars",
    thanks to Hagen von Eitzen                        (Closes: #262134).
  * Bug fix: "ucf: Please add German translation of the debconf
    templates", thanks to Erik Schanze                (Closes: #264432).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 13 Aug 2004 21:07:45 -0500

ucf (1.07) unstable; urgency=low

  * Bug fix: "[l10:ca] orville-write catalan debconf templates", thanks to
    Aleix Badia i Bosch                                   (Closes: #248754).
  * Bug fix: "ucf: debconf spanish translation", thanks to Lucas Wall
                                                          (Closes: #253244).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 22 Jun 2004 17:51:35 -0500

ucf (1.06) unstable; urgency=low

  * Bug fix: "ucf tries to show diff of non-existent file", thanks to
    Frank Küster. Darn. Applied the fix to the three way merge the last
    time, not to the simple diff stanza.              (Closes: #243953).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 26 Apr 2004 16:28:39 -0500

ucf (1.05) unstable; urgency=low

  * The patch for the optiopn added in the last version was provided by
    Matthew Palmer <mpalmer@debian.org>. Much appreciated.
  * Bug fix: "manpage incorrect for --sum-file", thanks to Matthew Palmer
    Also fixed a typo in ucf reported in the same report, and, while I was
    at it, I escaped all hyphens in ucf.1.                (Closes: #244853).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Apr 2004 15:18:02 -0500

ucf (1.04) unstable; urgency=low

  * Bug fix: "ucf tries to show diff of non-existent file", thanks to
    Frank Küster. This is still the correct behaviour, as long as a
    diff is show, which should be the case now.      (Closes: #243953).
  * Added an option to specify where the old md5sum can be found for
    historical versions.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 19 Apr 2004 12:17:19 -0500

ucf (1.03) unstable; urgency=low

  * Bug fix: "Hangs on waiting for user input _sometimes_", thanks to
    Peter Gervai                                     (Closes: #242445).
  * Bug fix: "ucf: Minor description typo", thanks to Jeroen van
    Wolffelaar                                       (Closes: #243482).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 19 Apr 2004 02:37:52 -0500

ucf (1.02) unstable; urgency=low

  * Bug fix: "ucf: --debconf-ok option useless", thanks to Roger So
    Applied patch; we should only set DEBCONF_OK if it is not set.
                                                  (Closes: #242434).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  6 Apr 2004 13:20:12 -0500

ucf (1.01) unstable; urgency=low

  * Bug fix: "fontconfig: postinst script fails (2)", thanks to Frederic
    Briere                                             (Closes: #241846).
  * Bug fix: "Does not handle invalid PAGER gracefully", thanks to
    J.H.M. Dassen (Ray)                                (Closes: #241890).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  4 Apr 2004 16:09:58 -0500

ucf (1.00) unstable; urgency=low

  * Shut off withecho, since we should be fairly stable now. Bump version
    number to reflect that.
  * Bug fix: "ucf creates superfluous dpkg-dist files", thanks to Frank
    Küster                                            (Closes: #238730).
  * Bug fix: "ucf: diff is not displayed with DEBIAN_FRONTEND=dialog and
    more as sensible-pager", thanks to Frank Küster. This was nasty. Now
    ucf thinks like sensible-pager, looking at $PAGER,
    /etc/alternatives/pager, and, failing that, ensuring /bin/more exists
    -- and then, if the pager is more, it pauses after displaying the
    diff, so that the diff is not whisked away by debconf looping back to
    ask for what's next.                                (Closes: #239319).
  * Thanks to extensive patches from Fabio Massimo Di Nitto
    <fabbione@fabbione.net>, ucf should now be able to handle file names
    with spaces in them. Touch wood.

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  2 Apr 2004 02:10:48 -0600

ucf (0.33) unstable; urgency=low

  * Bug fix: "ucf: Variable errors in ucf script breaks lm-sensors
    installation", thanks to Frédéric Bothamy (Closes: #237944).
  * Bug fix: "apache-common: /etc/apache/modules.conf is not modified",
    thanks to Oliver Zimmermann (Closes: #237946).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 14 Mar 2004 11:14:21 -0600

ucf (0.32) unstable; urgency=low

  * Fixed debconf handling -- POTFILES.in needs t9o have the master
    template, not the generated one.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 13 Mar 2004 12:22:11 -0600

ucf (0.31) unstable; urgency=low

  * Moved to the new debconf mechanism is skeleton-make-rules, which shall
    allow ucf to be backported to older debconf versions.
  * Bug fix: "ucf: Please add the attached Brazilian Portuguese debconf
    template translation", thanks to Andre Luis Lopes (Closes: #235489).
  * Bug fix: "ucf: French debconf templates translation", thanks to Eric
                                                      (Closes: #236715).
  * Bug fix: "ucf: Option --debug exists only in manpage, but is not
    recognized", thanks to Frank KKüster               (Closes: #237114).
  * Bug fix: "ucf: please consider adding symlink support", thanks to Marc
    Haber. Actually, Fabio Massimo Di Nitto <fabbione@fabbione.net> did
    the heavy lifting on this one and sent in a tested, working patch.
                                                       (Closes: #213080).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 12 Mar 2004 14:48:31 -0600

ucf (0.30) unstable; urgency=low

  * Convert to po-debconf, also thanks to Joey Hess.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 22 Feb 2004 15:22:29 -0600

ucf (0.29) unstable; urgency=low

  * Thanks to Joey Hess for noticing that the debconf support in ucf was
    not complete. Added the template to the control archive, source the
    confmodule in postinst, and purge debconf db on purge.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 22 Feb 2004 09:49:20 -0600

ucf (0.28) unstable; urgency=low

  Joey Hess <joeyh@debian.org>
  * Added debconf support to ucf. It will use debconf for prompting.
  * Since some badly behaved maintainer scripts use debconf, then cripple it
    (by calling STOP, redirecting stdio, etc), and then call ucf, ucf must
    take care to not use debconf if called from such a script. In this case it
    will fall back to prompting without using debconf, unless a --debconf-ok
    parameter is given, to let ucf know that the maintainer script
    promises it has not screwed up debconf.
  * Update ucf.1
  * Since the above hack means that ucf retains the ability to prompt
    on its own, I made it not depend on debconf at all; if debconf is not
    present then ucf will fall back to its internal prompter. closes: Bug#234151
  Manoj:
  * Changed the rules file to handle permissions better in face of strange
    umasks. Many thanks to Joey Hess, who essentially did all the work for
    this update in functionality.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 21 Feb 2004 23:35:01 -0600

ucf (0.27) unstable; urgency=low

  * Bug fix: "minor typo in /etc/ucf.conf comment", thanks to Leonardo
    Rochael Almeida                                        (Closes: #225633).

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  6 Feb 2004 01:53:24 -0600

ucf (0.26) unstable; urgency=low

  * When ucf replaces a configuration file, it always leaves the old
    version behind as "conffile.dpkg-old", and then installed the
    "distributed" file as "conffile", just *like dpkg* does. Now, also made
    it so that when ucf asks the user a question, and they respond by
    opting not to replace the configuration file, ucf creates
    "conffile.dpkg-dist", as dpkg would have created.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 13 Nov 2003 03:02:32 -0600

ucf (0.25) unstable; urgency=low

  * when the old md5sum is not found in the file, the return value of the
    grep is non-zero and the program exits.              closes: Bug#216115

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 18 Oct 2003 21:31:28 -0500

ucf (0.24) unstable; urgency=low

  * Fix a series of typos that prevented old md5sums from working. Thanks
    to Josselin Mouette for the patch.                   closes: Bug#215244

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 15 Oct 2003 13:53:50 -0500

ucf (0.23) unstable; urgency=low

  * Fix a corner case when ucf is reinstalled after being removed, but not
    purged, for a while, in this case all the data is out of
    date. Rotating the dataset would have ucf asking questions all over,
    but that is better than silently ignoring files of packages that were
    purged while ucf was removed, and are being reinstalled. Correct
    behaviour trumps the user being asked questions again. closes: Bug#215077

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 10 Oct 2003 12:44:19 -0500

ucf (0.22) unstable; urgency=low

  * .TT in the man page did not produce tt font. Use .I instead.
                                                              closes: Bug#213077
  * se -> see. ofered -> offered  in man page.    closes: Bug#213079, Bug#213083

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 28 Sep 2003 18:28:52 -0500

ucf (0.21) unstable; urgency=low

  * the --state-dir option to ucf had no effect, since it set the wrong
    internal variable.  Thanks to Colin Watson for noticing, and providing
    a patch.                                                  closes: Bug#210788

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 13 Sep 2003 16:13:09 -0500

ucf (0.20) unstable; urgency=high

  * Fixed usage of chown root.root in the rules files.
  * The 3 way merge support was broekn; it kept track of the md5sum of the
    wrong version. Thanks Nicolas Boullis for noticing this. closes: Bug#20706

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 24 Aug 2003 20:26:06 -0500

ucf (0.19) unstable; urgency=low

  * Added some examples to the doc directory. Added examples to man
    pages. Clarified man page.

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  7 Aug 2003 18:48:35 -0500

ucf (0.18) unstable; urgency=low

  * No longer save conffiler.dpkg-old unless conffile had been
    modified. This should prevent the buildup of .dpkg-old cruft over
    time.                                                    closes: Bug#189520
  * Document the fact that --three-way first appeared in version 0.8 of
    ucf, which was the first version to hit sarge. The woody version of
    ucf shall not understand the --thre-way option.          closes: Bug#202431

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 31 Jul 2003 12:02:17 -0500

ucf (0.17) unstable; urgency=low

  * Fixed a typo.                                            closes: Bug#191833
  * Fixed eiher -> either in the man page.                   closes: Bug#200048
  * If the file that is already in place has the same md5sum as the new
    file created by the maintainer, nothing needs be done.   closes: Bug#199233
  * Fix prompting for actoin such that we offer choices for 3 way merging
    or diffs where appropriate                               closes: Bug#199162

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 13 Jul 2003 15:28:46 -0500

ucf (0.16) unstable; urgency=high

  * A thinko in the logic for moving a old, locally modified configuration
    file to ucf could cause data loss.

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  2 May 2003 21:47:48 -0500

ucf (0.15) unstable; urgency=medium

  * Clean up some of the new file handling to pave the way for
    /etc/conffiles/blah functionality

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 25 Apr 2003 14:55:17 -0500

ucf (0.14) unstable; urgency=low

  * Another occurence of the missing \. Additional patches from Tore
    Anderson to fix a flaw in the md5sum storage.            closes: Bug#189517
  * patch from Tore Anderson to fix problems with diff3      closes: Bug#189617
  * Finally get all the miising \.                           closes: Bug#189514

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 19 Apr 2003 23:11:36 -0500

ucf (0.13) unstable; urgency=medium

  * A missing \ at the ned of the line caused a syntax error.closes: Bug#189514

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 18 Apr 2003 13:27:29 -0500

ucf (0.12) unstable; urgency=low

  * Finally document the --three-way option. This has been in the code for
    a while now, and seems to be working, but was not documented so far.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 18 Apr 2003 02:42:56 -0500

ucf (0.11) unstable; urgency=low

  * Test for a old file before trying to copy it as backup.
                                                 closes: Bug#168727, Bug#168729

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 Nov 2002 18:55:48 -0600

ucf (0.10) unstable; urgency=low

  * Urk. Major breakage in ucf on upgrade; one loses
    /var/lib/ucf/hashfile, due to a major thinko. The downside is that the
    currently installed file shall be trated as the old version, and a
    wquestion shall be asked if the upstream file is different. This bad,
    but there is no real data loss; only a potential question asked on the
    next upgrade of packages using ucf.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 10 Nov 2002 23:09:22 -0600

ucf (0.09) unstable; urgency=low

  * Umm. use egrep when you mean egrep.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 10 Nov 2002 22:57:57 -0600

ucf (0.08) unstable; urgency=high

  * Add a --purge option to ucf, to remove all hints about a configuration
    file from the hashfile. This fixes what happened if a package was
    purged, and reinstalled -- on purge the configuration file was
    removed, but it was still in ucf's database. On reinstall, since the
    upstream file had not changed, ucf did not copy it to the destination
    -- even though the destination file no longer existed. This is a major
    bugfix.                                                  closes: Bug#159015
  * Fix use of md5sum files, and manpage typo, thanks to a patch from
    Henrique de Moraes Holschuh <hmh@debian.org>.            closes: Bug#163229
  * ucf now has a rudimentary, experimental, and undocumented diff3
    capability. So, optionally, people can see a diff3 diff between the
    current file, the old file, and the new upstream version. Also, they
    can have the changes made in the upstream versions merged into the
    current file. This can be dangerous.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 10 Nov 2002 21:22:00 -0600

ucf (0.07) unstable; urgency=low

  * Fix a few missing grep trigger set -e failures.

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  6 Mar 2002 01:14:57 -0600

ucf (0.06) unstable; urgency=high

  * Added the ionformational script lcf and the associated man page.
  * Fixed a major thinko in ucf that could potentially trash the hashfile

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 26 Feb 2002 14:30:59 -0600

ucf (0.05) unstable; urgency=low

  * /etc/ucf.conf and ucf.conf(5) disagreed due to a typo in the man
    page. Fixed.                                             closes: Bug#135691
  * Added the ability for the developer to specify a single file with
    historical md5sums, instead of having to ship a directory populated
    with single line files for every configuration file in the
    package. This is now beginning to get reasonably complex ;-)

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 25 Feb 2002 12:03:43 -0600

ucf (0.04) unstable; urgency=high

  * Hmm. Failed to replace the configuration file if the old file was a
    symbolic link to the new file (happened for gnus users). Thanks go to
    wsheets@sbcglobal.net for pointing this out.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 20 Feb 2002 20:21:42 -0600

ucf (0.03) unstable; urgency=low

  * Fixed typo in the long description
  * Fixed the fact that the script was always verbose
  * Fixed a spelling error in a diagnostic

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 13 Feb 2002 23:02:29 -0600

ucf (0.02) unstable; urgency=low

  * Fixed typo in long desc.
  * Changed section to utils.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 12 Feb 2002 04:17:38 -0600

ucf (0.01) unstable; urgency=low

  * New version of the package.

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  5 Feb 2002 22:25:42 -0600
